<?php

/*

    番組表

*/

require_once( 'include.php' );
require_once( 'librecfriio/tvprog.php' );

$errmsg = '';


$time_today = time();
$year_today = (int)date( 'Y', $time_today );
$month_today = (int)date( 'm', $time_today );
$day_today = (int)date( 'd', $time_today );
$hour_today = (int)date( 'H', $time_today );

if( isset( $_GET[ 'year' ] ) ) $year = (int)$_GET{ 'year' };
else $year = $year_today;

if( isset( $_GET[ 'month' ] ) ) $month = (int)$_GET{ 'month' };
else $month = $month_today;

if( isset( $_GET[ 'day' ] ) ) $day = (int)$_GET{ 'day' };
else $day = $day_today;

if( isset( $_GET[ 'hour' ] ) ) $hour = (int)$_GET{ 'hour' };
else $hour = $hour_today;

$time = mktime( $hour, 0, 0, $month, $day, $year );
$week = (int)date( 'w', $time );

$year_before = (int)date( 'Y', $time-24*3600 );
$month_before = (int)date( 'm', $time-24*3600 );
$day_before = (int)date( 'd', $time-24*3600 );

$year_next = (int)date( 'Y', $time+24*3600 );
$month_next = (int)date( 'm', $time+24*3600 );
$day_next = (int)date( 'd', $time+24*3600 );

$area = AREACODE;
$station = 0;

// 番組表取得
$table = '';
try{
    // キャッシュ削除
    if( isset( $_GET[ 'clearcache' ] ) ) remove_oldcache( $_GET[ 'clearcache' ] );
    get_prog_table( $table, $area, $station, $year, $month, $day, $hour );
}
catch( Exception $e ){
    $errmsg = $e->getMessage();
}


////////////////////////


// 表示

$week_array = array( '日', '月', '火', '水', '木', '金', '土' );
$strdate = $year.' 年 '.$month.' 月 '.$day.' 日 ('.$week_array[ $week ].') '.$hour.' 時';

show_header( 'tvtable.css', FALSE );

print(
    '<a href="./recfriio.php">メイン画面に戻る</a> '.
    ' <a href="./tvtable.php?year='.$year.'&month='.$month.'&day='.$day.'&hour='.$hour.'&clearcache=all">キャッシュ削除</a>'
    );

print( "\n" );

print(
    '<div class="title">TV番組表</div>'
    );
print( "\n" );

print( '<h2>'.$strdate.'</h2>' );

// 日付
print( '<table border="0" ><tr><td class="hour">日付:</td>'.
       '<td class="hour"><a href="./tvtable.php">本日<a></td>'
    );

for( $i = 0; $i < 8; ++$i ){

    $y = (int)date( 'Y', $time_today+24*3600*$i );
    $m = (int)date( 'm', $time_today+24*3600*$i );
    $d = (int)date( 'd', $time_today+24*3600*$i );
    $w = (int)date( 'w', $time_today+24*3600*$i );

    $tmpdate = $m.'/'.$d.'('.$week_array[ $w ].')';

    if( $d == $day ) $ahref = '<td class="hour">'.$tmpdate.'</td>';
    else $ahref = '<td class="hour"><a href="./tvtable.php?year='.$y.'&month='.$m.'&day='.$d.'&hour='.$hour.'">'.$tmpdate.'<a></td>';
    
    print( $ahref.' ' );
}

print( '</tr></table>' );
print( "\n" );


// 時間
print( '<table border="0" ><tr><td class="hour">時間:</td>' );
for( $i = 5; $i < 29; ++$i ){

    $y = $year;
    $m = $month;
    $d = $day;
    $h = 0;

    if( $i < 24 ){

        $h = $i;

        if( $hour <= 4 ){ // 前日

            $y = $year_before;
            $m = $month_before;
            $d = $day_before;
        }

    }
    else{

        $h = $i-24;

        if( $hour >= 5 ){ // 翌日

            $y = $year_next;
            $m = $month_next;
            $d = $day_next;
        }
    }

    if( $h == $hour ) $ahref = '<td class="hour">'.$h.'</td>';
    else $ahref = '<td class="hour"><a href="./tvtable.php?year='.$y.'&month='.$m.'&day='.$d.'&hour='.$h.'">'.$h.'<a></td>';

    print( $ahref.' ' );
}
print( '</tr></table><br />' );
print( "\n" );

if( ! $errmsg ) print( $table );
else show_err( $errmsg );

show_footer();

?>